RASCAT(1NCARG)

NAME
Rascat - concatenate, convert raster files

SYNOPSIS
rascat [ -help ] [ -ifmt format ] [ -ira algorithm ] [ -ofmt format ] [ -output file ] [ -resolution resolution ] [ -rgbscale scale-factor ] [ -scale scale-factor ] [ -verbose ] [ -Version ] [ -window nx ny x y ] [ -pal palette_file ] [ -|file... ]

DESCRIPTION

rascat reads each file in sequence and copies its contents to the standard output performing any format conversion and data massaging necessary as specified by the command line options. By default, rascat determines the format of a file by looking at the file name extension. If there are multiple files input into rascat with varying file formats rascat will perform format conversion such that the resulting concatenated file will be in the format of the first file processed.

Input files must all have the same spatial resolution and have the same depth; 8-bit and 24-bit files may not be intermixed. Furthermore, if an input file contains multiple images each image in that file must have the same spatial resolution and be of the same depth.

Currently, only 8-bit-indexed and 24-bit-direct color encodings are supported.

See ras_formats(5NCARG) for a list of supported image formats.

OPTIONS

-help
    Print a usage message and exit.

-ifmt format
    Specify the input file format. format is one of the file name extensions discussed in ras_formats(5NCARG) (without the ".", e.g. xwd). When this option is specified file name extensions are not necessary and are ignored if present. All input files must have the same format.

-ira algorithm
    Specify the image resampling algorithm to be used when either the -scale or the -resolution command line option is used. algorithm may be either NN, indicating a "nearest neighbor" algorithm, or BL, indicating a "bilinear interplation" algorithm. The default is to do "nearest neighbor" interpolation.

-ofmt format
    Specify the output file format. format is one of the aforementioned file name extensions. If used in conjunction with the -output option the output file name requires no name extension and is ignored if present.

-output file
    Specify an ouput file name and possibly an implicit output format. By default rascat writes to the standard output. When this option is used output is written to file. If the -ofmt option is not specified file must have a file name extension recognized by rascat. In which case the file name extension will determine the output format.

-resolution resolution
    Resample the spatial resolution of input imagery to resolution, where resolution is the number of pixels in the x direction, followed by an x, followed by the number of pixels in the y direction, with no intervening spaces. For example, 512x512, specifies a 512 by 512 pixel resolution.

    Warning: Aspect ratios are not preserved by this option. If the resolution of your input imagery has a different aspect ratio then that specified by resolution the resultant image will be distorted.

-rgbscale scale-factor
    Specify a floating point scaling factor, scale-factor, to be applied to all the color intensities contained in the input files. This option may be fairly computationally expensive with 24-bit-direct encoded imagery.

-scale scale-factor
    Specify a uniform, floating-point scaling factor to be applied to the spatial resolution of the input files. Unlike the -resolution option this option guarantees to preserve the aspect ratio of your imagery. For example, setting scale-factor to 0.5 causes your imagery to be resampled to one fourth of its original spatial resolution. If its original resolution was 1024x1024 the resultant resolution would be 512x512.

-verbose
    Tells rascat to operate in verbose mode.

-Version
    Print rascat's version number and then exit.

-window nx ny x y
    Specify a subregion of the input imagery to be extracted. The area outside the rectangular subregion defined by nx, ny, x and y is discarded. x and y specify the position of the upper-left corner of the rectangle. nx and ny specify the rectangle's width and height, respectively.

-pal palette_file
    Set the palette for the output rasterfile from palettefile, which can be either an HDF-type palette with an extension of ".pal", or a textual palette with an extension of ".txt". See ras_palette(5NCARG) for documentation on the formats. This option applies to indexed-color imagery only.

ENVIRONMENT

NCARG_TMP
    If set, this environment variable contains a directory path to be used for temporary files. On most systems the default is /tmp. On some systems the default is /usr/tmp.

EXAMPLES
In the following example a NRIF file, a Sun raster image file, and a XWD file are concatenated and converted into a single NRIF file:

    % rascat file1.nrif file2.sun file3.xwd > file123.nrif

In this example the same files are converted and concatenated into a sun file:

    % rascat -ofmt sun file1.nrif file2.sun file3.xwd > file123.sun

The -ofmt option is necessary in this example because the first file rascat encounters is an NRIF file.

Finally, in this example the upper left 512 by 512 rectangle of the file foo.sun is extracted and written to the file foo.512x512.sun:

    % rascat -window 512 512 0 0 foo.sun > foo.512x512.sun

SEE ALSO
rasgetpal(1NCARG), rasls(1NCARG), rassplit(1NCARG), rasview(1NCARG), ras_formats(5NCARG), ras_palette(5NCARG)

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

CAVEATS
Aspect ratios are not preserved by the -resolution option.

Not all formats support both 8-bit and 24-bit encodings.

Indexed and direct color encodings cannot be mixed.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.